The leksah package

[Tags:gpl, library, program]

An Integrated Development Environment for Haskell written in Haskell.


[Skip to Readme]

Properties

Versions 0.1, 0.1.1, 0.4, 0.4.0.1, 0.4.0.2, 0.4.0.3, 0.4.1, 0.4.2, 0.4.2.1, 0.4.3, 0.4.4, 0.4.4.1, 0.6.0, 0.6.1, 0.8, 0.8.0.1, 0.8.0.3, 0.8.0.4, 0.8.0.6, 0.8.0.8, 0.10.0.0, 0.10.0.1, 0.10.0.3, 0.10.0.4, 0.12.0.3, 0.12.1.0, 0.12.1.2, 0.12.1.3, 0.13.3.0, 0.13.4.0, 0.13.4.1, 0.13.4.2, 0.13.4.3, 0.14.0.0, 0.14.0.1, 0.14.1.0, 0.14.1.1, 0.14.2.0, 0.14.3.0, 0.14.4.0, 0.15.0.1, 0.15.0.2, 0.15.0.3, 0.15.0.4, 0.15.0.5, 0.15.0.6, 0.15.1.0, 0.15.1.1, 0.15.1.2, 0.15.1.3, 0.15.1.4, 0.15.2.0 (info)
Dependencies array (>=0.2.0.0 && <0.5), base (>=4.0.0.0 && <4.6), binary (>=0.5.0.0 && <0.6), binary-shared (==0.8.*), bytestring (>=0.9.0.1 && <0.10), Cabal (>=1.6.0.1 && <1.15), containers (>=0.2.0.0 && <0.5), deepseq (>=1.1.0.0 && <1.4), directory (>=1.0.0.2 && <3.1), dyre (>=0.8.3 && <0.9), enumerator (>=0.4.14 && <0.5), filepath (>=1.1.0.1 && <1.4), ghc (>=6.10.1 && <7.5), gio (>=0.12.2 && <0.13), glib (>=0.10 && <0.13), gtk (>=0.10 && <0.13), gtk-mac-integration (>=0.0.0.2 && <0.2), gtksourceview2 (>=0.10.0 && <0.13), hslogger (>=1.0.7 && <1.2), leksah (==0.12.0.3), leksah-server (>=0.12.0.3 && <0.13), ltk (==0.12.*), mtl (>=1.1.0.2 && <2.1), network (>=2.2 && <3.0), old-time (>=1.0.0.1 && <1.2), parsec (>=2.1.0.1 && <3.2), pretty (>=1.0.1.0 && <1.2), QuickCheck (>=2.4.2 && <2.5), regex-base (==0.93.*), regex-tdfa (==1.1.*), strict (>=0.3.2 && <0.4), text (>=0.11.1.5 && <0.12), time (>=0.1 && <1.5), transformers (>=0.2.2.0 && <0.3), unix (>=2.3.1.0 && <2.6), utf8-string (>=0.3.1.1 && <0.4), Win32 (>=2.2.0.0 && <2.3), yi (>=0.6.1 && <0.7) [details]
License GPL
Copyright 2007-2011 Juergen Nicklisch-Franken, Hamish Mackenzie
Author Juergen Nicklisch-Franken, Hamish Mackenzie
Maintainer maintainer@leksah.org
Stability provisional
Category Development, IDE, Editor
Home page http://www.leksah.org
Bug tracker http://code.google.com/p/leksah/issues/list
Uploaded Sun Mar 11 16:16:32 UTC 2012 by JuergenNicklischFranken
Distributions Debian:0.12.1.3, NixOS:0.15.2.0
Downloads 10059 total (155 in the last 30 days)
Votes
0 []
Status Docs not available [build log]
All reported builds failed as of 2015-11-22 [all 4 reports]

Modules

  • IDE
    • IDE.BufferMode
    • IDE.Build
    • IDE.Command
    • IDE.Completion
    • Core
      • IDE.Core.State
      • IDE.Core.Types
    • IDE.Debug
    • IDE.Find
    • IDE.GUIHistory
    • IDE.ImportTool
    • IDE.Keymap
    • IDE.Leksah
    • IDE.LogRef
    • Metainfo
      • IDE.Metainfo.Provider
    • IDE.NotebookFlipper
    • IDE.OSX
    • IDE.Package
    • Pane
      • IDE.Pane.Breakpoints
      • IDE.Pane.Errors
      • IDE.Pane.Files
      • IDE.Pane.Grep
      • IDE.Pane.Info
      • IDE.Pane.Log
      • IDE.Pane.Modules
      • IDE.Pane.PackageEditor
      • IDE.Pane.PackageFlags
      • IDE.Pane.Preferences
      • IDE.Pane.Search
      • IDE.Pane.SourceBuffer
      • IDE.Pane.Trace
      • IDE.Pane.Variables
      • IDE.Pane.Workspace
    • IDE.PaneGroups
    • IDE.Session
    • IDE.SourceCandy
    • IDE.Statusbar
    • IDE.SymbolNavigation
    • IDE.TextEditor
    • Utils
      • IDE.Utils.GUIUtils
      • IDE.Utils.ServerConnection
    • IDE.Workspaces
    • IDE.YiConfig

Flags

NameDescriptionDefaultType
yiExperimental Yi supportDisabledAutomatic
dyreExperimental Yi supportEnabledAutomatic
threadedBuild with support for multithreaded executionDisabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainer's Corner

For package maintainers and hackage trustees

Readme for leksah

Readme for leksah-0.12.0.3

Leksah, an Integrated Development Environment for Haskell
=========================================================

This is Leksah, a hopefully practical tool to support the Haskell development process.

Leksah uses GTK+ as GUI Toolkit with the gtk2hs binding. It is plattform independend
and should run on any plattform where GTK+, gtk2hs and ghc can be installed.
It is currently been tested on Linux, Mac OS X and Windows. It uses the Cabal package management
and build system for Package Management. It currently only supports the Glasgow Haskell Compiler (ghc).

Documentation can be found on leksah.org.

System Requirements
===================

Leksah currently requires:
    GHC version 6.10.x-6.12
    gtk2hs 0.10.x-
    other dependencies see cabal file

If you are a user or just test Leksah, we would appreciate to here from you.

Please send questions and suggestions to the developers
info(at)leksah(dot)org